Subject: RE: [Mip6] mipv6 Home Agent functionality and NUD

From: "Karen E. Nielsen (AH/TED)" <[email-masked]>
Date: Wed, 10 Dec 2003 08:22:44 +0100

Hi,

Thanks a lot for the answer,
> 
> 
> I guess it could be implementation-dependent, depending on how the 
> addresses are being proxied for, but I wouldn't think you would ever 
> need to do NUD since it is essentially a locally configured 
> IPv6 address 
> on the HA.  

Strictly speaking then I suppose that the MN_HomeAddress need not be explicitly
configured on the HA, only the HA need to perform proxy
ND for the MN_HomeAddress.

Or are you talking about the Care-of address?  
> Either way, 
> the HA can't remove the binding, even if it can't reach the 
> COA, since 
> that's what the draft says (section 10.3.1).

Yes, but the HA could send back an ICMP destination unreachable.

The reason that I started to wonder is that for
IPv6inIPv4 tunnels there have been
some discussions on whether NUD should be performed. For example 
for configured Ipv6inIpv4 tunnels
the general recommendation is that NUD SHOULD be performed, for 6to4
tunnels they should not, and
for Isatap tunnels there has been a lot of discussions of 
whether an Isatap router should perform NUD for the odd
case that the IPv4 tunnel endpoint was reachable but where
the corresponding IPv6 Isatap host was not (this discussion ended
in a MAY, due to possible scalability problems).

For Ipv6inIPv6 tunnels, however, I don't really 
know what the general recommendation is.

I am NOT avocating for mandating NUD for the MN_homeaddresses,
I actually think that it should be OK simply to rely on a
valid binding cache (plus intermediate IPv6 routers for the CoA
reachability) - but I wanted to know what the concensus was.

Thanks,
Karen

> -Brian
> 
> 
> Karen E. Nielsen (AH/TED) wrote:
> 
> > Hi,
> > 
> > Do anyone know whether it is envisaged that the Mipv6 HA 
> should perform NUD on
> > the IPv6 addresses of the mobile nodes which it is serving or 
> > is it envisaged that a valid binding cache will suffice as 
> reachability confirmation ?
> > 
> > (.. or is this left to the implementers)
> > 
> > Wrt. the tunnel links, then I don't think that RFC 2473 
> says anything about ND. 
> > 
> > BR, Karen
> > 
> > -----------------------------------------------------------
> > Karen Egede Nielsen, System Manager, Ericsson Telebit A/S
> > Phone:  + 45 89385100, Fax:  + 45 89385101
> > Phone Direct: + 45 89385313, Mobile:+ 45 25134336
> > [email-masked]
> > -----------------------------------------------------------
> > 
> > 
> > _______________________________________________
> > Mip6 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mip6
> > 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6

---

From: "Vladislav.Yasevich" <[email-masked]>
Date: Wed, 10 Dec 2003 14:58:50 -0500

> know what the general recommendation is.

Not really needed on the IPv6-IPv6 tunnel, since the
notification will be provided based on the outer IPv6 address.

So I guess the answer for the Mobile IPv6 "pseudo-tunnels"
is the same.

> reachability) - but I wanted to know what the concensus was.

I don't think this really came up before and I am guessing there would
have been some kind of text if it had.  So I doubt you'll find a
declared concensus on this.

-vlad

-- 
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich		Linux and Open Source Lab
Hewlett Packard 		Tel: (603) 884-1079
Nashua, NH 03062		ZKO3-3/T07